Package tigase.server.xmppserver.proc

# Class AuthenticationProcessor

java.lang.Object
tigase.server.xmppserver.proc.S2SAbstract
tigase.server.xmppserver.proc.S2SAbstractProcessor
tigase.server.xmppserver.proc.AuthenticationProcessor

All Implemented Interfaces:
  `Comparable<S2SProcessor>`, `S2SProcessor`, `StatisticsProviderIfc`

Direct Known Subclasses:
  `Dialback`, `SaslExternal`

public abstract class AuthenticationProcessor extends S2SAbstractProcessor

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tigase.server.xmppserver.proc.S2SAbstractProcessor

  `S2SAbstractProcessor.Order`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static AuthenticatorSelectorManager`
  `authenticatorSelectorManager`

  ### Fields inherited from class tigase.server.xmppserver.proc.S2SAbstractProcessor

  `processorsComparator`

  ### Fields inherited from class tigase.server.xmppserver.proc.S2SAbstract

  `DB_RESULT_EL_NAME, DB_VERIFY_EL_NAME, DIALBACK_EL, DIALBACK_NS, FEATURES_DIALBACK_PATH, FEATURES_EL, FEATURES_NS, FEATURES_STARTTLS_PATH, FORCE_VERSION, handler, PROCEED_TLS_EL, RESULT_EL_NAME, START_TLS_EL, START_TLS_NS, STREAM_FEATURES_EL, VERIFY_EL_NAME, VERSION_ATT_NAME, XMLNS_CLIENT_VAL, XMLNS_DB_ATT, XMLNS_DB_VAL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthenticationProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `serviceStarted(S2SIOService serv)`

  ### Methods inherited from class tigase.server.xmppserver.proc.S2SAbstractProcessor

  `compareTo, getStatistics, process, serviceStopped, setSkipTlsHosts, skipTLSForHost, streamClosed, streamFeatures, streamOpened`

  ### Methods inherited from class tigase.server.xmppserver.proc.S2SAbstract

  `generateStreamError, generateStreamError, init`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.server.xmppserver.S2SProcessor

  `init, order, shouldSkipUndelivered, stopProcessing`

- ## Field Details

  - ### authenticatorSelectorManager

    @Inject protected static AuthenticatorSelectorManager authenticatorSelectorManager

- ## Constructor Details

  - ### AuthenticationProcessor

    public AuthenticationProcessor()

- ## Method Details

  - ### serviceStarted

    public void serviceStarted(S2SIOService serv)
    Specified by:
      `serviceStarted` in interface `S2SProcessor`
    Overrides:
      `serviceStarted` in class `S2SAbstractProcessor`